package w3c.rtsp.client;
import java.awt.*;
import w3c.rtsp.common.*;

public class windows extends Container {
 
  public Choice SampleList,SampleList2;
  public ImageButton MyButton=null,MyButton2=null,MyButton3=null;
  public TextField Texte,Texte2,Texte3,Texte4;

  public windows(){
    GridBagLayout myGBL=new GridBagLayout();
    GridBagLayout myGBL1=new GridBagLayout();
    setLayout(new CardLayout());

    Panel p=new Panel();
    p.setLayout(myGBL);
    
    Image imStop=Toolkit.getDefaultToolkit().getImage("stop.gif");
    Image imPlay=Toolkit.getDefaultToolkit().getImage("play.gif");
    
    MyButton=new ImageButton(imPlay);
    p.setLayout(myGBL1);
    GridBagConstraints myGBC=new GridBagConstraints();
    myGBC.insets = new Insets(0,0,10,0);//ecart avec les autres touches
    myGBC.anchor=GridBagConstraints.NORTHEAST;//ancre 
    myGBL1.setConstraints(MyButton,myGBC);
    p.add(MyButton);
    
    MyButton2=new ImageButton(imStop);
    myGBC.anchor=GridBagConstraints.NORTHWEST;//ancre 
    myGBC.gridwidth = GridBagConstraints.REMAINDER;//fin de la ligne
    myGBL1.setConstraints(MyButton2,myGBC);
    p.add(MyButton2);

    Label lbl1=new Label("Location :");
    p.add(lbl1);
   
    Texte=new TextField(40);
    GridBagConstraints myGBC1=new GridBagConstraints();
    myGBC.anchor=GridBagConstraints.SOUTH;//ancre 
    myGBL.setConstraints(Texte,myGBC1);
    p.add(Texte);

    add("PageDialog1",p);

    p=new Panel();
    p.setLayout(myGBL1);
 
    Label lbl2=new Label("Program Name :");
    p.add(lbl2);
   
    Texte2=new TextField(20);
    GridBagConstraints myGBC2=new GridBagConstraints();
    myGBC2.anchor=GridBagConstraints.WEST;//ancre 
    myGBC2.gridwidth = GridBagConstraints.REMAINDER;//fin de la ligne
    myGBL1.setConstraints(Texte2,myGBC2);
    p.add(Texte2);
 
    Label lbl3=new Label("Protocol :");
    p.add(lbl3);
   
    Texte3=new TextField(20);
    myGBL1.setConstraints(Texte3,myGBC2);
    p.add(Texte3);

    Label lbl4=new Label("Port :");
    p.add(lbl4);
   
    Texte4=new TextField(20);
    myGBL1.setConstraints(Texte4,myGBC2);
    p.add(Texte4);
 
    //    MyButton3=new Button("Submit");
    //p.add(MyButton3);

    add("PageDialog2",p);

 
  }
}
